Submit open tender offers for one or more shipments
post
/custom-actions/submitOpenTender/shipments
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest body for the Submit Open Tender action.
Show Source
-
expectedResponseTime: string
(date-time)
Optional expected response time for the tender in ISO 8601 date-time format.
-
servprovs(required): array
servprovs
List of service provider GIDs or XIDs that should receive the tender.
-
shipmentPks: array
shipmentPks
Shipment PKs for the bulk endpoint only. Not required when shipmentId is provided in the path.
-
tenderType(required): string
Allowed Values:
[ "S", "B" ]Tender type indicator. Use "S" for Spot Bid or "B" for Broadcast.
Nested Schema : servprovs
Type:
arrayList of service provider GIDs or XIDs that should receive the tender.
Show Source
Nested Schema : shipmentPks
Type:
arrayShipment PKs for the bulk endpoint only. Not required when shipmentId is provided in the path.
Show Source
Response
Supported Media Types
- application/json
200 Response
Success. A successful POST method returns a 200 status code.
Root Schema : submitOpenTenderResponse
Type:
objectResponse payload containing tender results.
Show Source
-
items: array
items
Collection of tender responses generated by the action.
Nested Schema : items
Type:
arrayCollection of tender responses generated by the action.
Show Source
-
Array of:
object submitOpenTenderResultItem
Tender response details for a processed shipment.
Nested Schema : submitOpenTenderResultItem
Type:
objectTender response details for a processed shipment.
Show Source
-
domainName: string
Domain name associated with the tender results.
-
endTime:
endTime
Shipment end time.
-
rateOffering: string
Rate offering identifier.
-
serviceProviderID: string
Service provider ID associated with the tender.
-
shipmentPk: string
Shipment primary key.
-
startTime:
startTime
Shipment start time.
-
totalActualCost:
totalActualCost
Total actual cost for the shipment.
-
totalWeightedCost:
totalWeightedCost
Total weighted cost for the shipment.
Nested Schema : totalActualCost
Total actual cost for the shipment.
Match All
Total actual cost for the shipment.
Show Source
Nested Schema : totalWeightedCost
Total weighted cost for the shipment.
Match All
Total weighted cost for the shipment.
Show Source
Nested Schema : dateTimeType
Type:
Show Source
object-
timezone: string
Timezone in Olson database format
-
value: string
(date-time)
Date in ISO 8601 format
Nested Schema : currencyType
Type:
Show Source
object-
currency: string
ISO 4217 currency code
-
value: number
Numeric value that specifies a currency
400 Response
Bad Request. The server could not process the request due to missing or invalid input.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
401 Response
Unauthorized. Valid authentication credentials are required.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
403 Response
Forbidden. Access to the specified resource is denied.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
Internal Server Error. The server encountered an unexpected condition.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.